## ros-melodic-fetch-drivers 0.8.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(fetch_drivers)

###
#
# This is the public version of fetch_drivers.
# 
# This is a binary only release of our dirvers and firmware.
# The drivers and firmware have been compiled for our research robots, inside of Docker containers on our TeamCity build servers.
#
# The resulting output of that build job a tar.gz, where the build job should only copy in what is required for the research robots.
# This public repository, just pulls in that tar.gz and extracts installs it into ROS/catkin paths.
##

find_package(catkin REQUIRED
  COMPONENTS
    mk
)

## System dependencies are found with CMake's conventions
find_package(Boost REQUIRED
  COMPONENTS
    chrono
    filesystem
    program_options
    regex
    system
    thread
)
find_package(CURL REQUIRED)
find_package(PythonLibs REQUIRED)
find_package(yaml-cpp REQUIRED)

add_custom_target(
  binary_driver ALL
  COMMAND cmake -E chdir ${PROJECT_SOURCE_DIR} $(MAKE) -f Makefile.tarball
  COMMAND cmake -E make_directory ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_LIB_DESTINATION}/${PROJECT_NAME}
  COMMAND cmake -E copy_if_different ${PROJECT_SOURCE_DIR}/build/output/lib/libfetch_drivers.so               ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_LIB_DESTINATION}/libfetch_drivers.so
  COMMAND cmake -E copy_if_different ${PROJECT_SOURCE_DIR}/build/output/lib/libfetch_drivers_odva.so          ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_LIB_DESTINATION}/libfetch_drivers_odva.so
  COMMAND cmake -E copy_if_different ${PROJECT_SOURCE_DIR}/build/output/lib/liblaser_filter_plugins.so        ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_LIB_DESTINATION}/liblaser_filter_plugins.so
  COMMAND cmake -E copy_if_different ${PROJECT_SOURCE_DIR}/build/output/lib/liblaser_self_filter.so           ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_LIB_DESTINATION}/liblaser_self_filter.so
  COMMAND cmake -E copy ${PROJECT_SOURCE_DIR}/build/output/lib/${PROJECT_NAME}/*                              ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_LIB_DESTINATION}/${PROJECT_NAME}/
  COMMAND cmake -E make_directory ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_SHARE_DESTINATION}/${PROJECT_NAME}
  COMMAND cmake -E copy_if_different ${PROJECT_SOURCE_DIR}/build/output/share/${PROJECT_NAME}/firmware.tar.gz   ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_SHARE_DESTINATION}/${PROJECT_NAME}/
  COMMAND cmake -E copy_if_different ${PROJECT_SOURCE_DIR}/build/output/share/${PROJECT_NAME}/laser_filters.xml ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_SHARE_DESTINATION}/${PROJECT_NAME}/
)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
   LIBRARIES fetch_drivers
   CATKIN_DEPENDS
     actionlib
     actionlib_msgs
     diagnostic_msgs
     fetch_driver_msgs
     fetch_auto_dock_msgs
     nav_msgs
     power_msgs
     robot_calibration_msgs
     roscpp
     sensor_msgs
   DEPENDS
     Boost
     CURL
     PYTHON
     YAML_CPP
)

###########
## Build ##
###########

#############
## Install ##
#############

install(
  FILES
    build/output/lib/libfetch_drivers.so
    build/output/lib/libfetch_drivers_odva.so
    build/output/lib/liblaser_filter_plugins.so
    build/output/lib/liblaser_self_filter.so
  DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

install(
  DIRECTORY build/output/lib/fetch_drivers
  DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  PATTERN "build/output/lib/fetch_drivers/*"
  PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ
              GROUP_EXECUTE GROUP_READ
              WORLD_EXECUTE WORLD_READ
)

install(
  FILES build/output/share/${PROJECT_NAME}/firmware.tar.gz build/output/share/${PROJECT_NAME}/laser_filters.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-fetch-drivers (0.8.9-1bionic) bionic; urgency=high

  * Initial Noetic release
  * Updates maintainers
  * Contributors: Alex Moriarty, Russell Toris

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Sat, 06 Mar 2021 08:00:00 -0000

ros-melodic-fetch-drivers (0.8.8-1bionic) bionic; urgency=high

  * Binary Drivers 0.8.8 (#52 <https://github.com/fetchrobotics/fetch_robots/issues/52>)
    
      * Sync drivers with internal release 2018.8_stable.
      * This fixes https://github.com/fetchrobotics/fetch_ros/issues/70
    
  * Merge pull request #1647 <https://github.com/fetchrobotics/fetch_drivers/issues/1647> from moriarty/opensource-fixes
    This addresses https://github.com/fetchrobotics/fetch_ros/issues/70
  * Docker based testing 2.0 (#1332 <https://github.com/fetchrobotics/fetch_drivers/issues/1332>)
  * More LED Diagnostics [2018.8] (#1510 <https://github.com/fetchrobotics/fetch_drivers/issues/1510>)
  * Merge pull request #1504 <https://github.com/fetchrobotics/fetch_drivers/issues/1504> from dbking77/publish_gyro_offset_age.8
    
      * Extra gyro diagnostics 2018.8
      * Publish gyro offset age.
      * Record interval average for gyro offset.
      * Publish average gyro temperature.
    
  * Merge pull request #1398 <https://github.com/fetchrobotics/fetch_drivers/issues/1398> from dbking77/slower_gyro_drift_fix-2018.8
    
      * Put slightly more aggressive filter on wheel motion detector.
      * Also don't keep gyro output enabled for a long time unless robot has been moving for a while.
    
  * Backport driver creation system [2018.8] (#1369 <https://github.com/fetchrobotics/fetch_drivers/issues/1369>)
  * Merge pull request #1364 <https://github.com/fetchrobotics/fetch_drivers/issues/1364> from dbking77/combined_gyro_zeroing_fix_2018.8
  * Merge pull request #1335 <https://github.com/fetchrobotics/fetch_drivers/issues/1335> from dbking77/combined_gyro_output_disable_delay_2018.8
  * Merge pull request #1306 <https://github.com/fetchrobotics/fetch_drivers/issues/1306> from dbking77/charger_config_improvements_for_2018.8
  * Merge pull request #1309 <https://github.com/fetchrobotics/fetch_drivers/issues/1309> from dbking77/accel_direction_fixup_for_2018.8
  * added nav command sub to light driver (#1314 <https://github.com/fetchrobotics/fetch_drivers/issues/1314>)
  * Support for mainboard rev I and J
  * Merge pull request #1259 <https://github.com/fetchrobotics/fetch_drivers/issues/1259> from dbking77/imu_param_description_fix
  * Merge branch '2018.6_stable' into master
  * Merge pull request #1202 <https://github.com/fetchrobotics/fetch_drivers/issues/1202> from moriarty/compatibility-fixes
    
      * [ROS][C++] Indigo & Melodic Compatibility fixes
      * [C++] urdf/model.h upstream compatibility ptr
      * This fixes #1181 <https://github.com/fetchrobotics/fetch_drivers/issues/1181>
      * and can fix fetchrobotics/fetch_ros#86 <https://github.com/fetchrobotics/fetch_ros/issues/86>
      * [C++] additional [-Werror=catch-value=] fixes
      * [C++] catch errors by const ref
    
  * More extensive docker stuff as well as a fix for testing master (#1186 <https://github.com/fetchrobotics/fetch_drivers/issues/1186>)
  * Use std::isnan instead of isnan
  * Add missing catkin dependencies for actionlib messages
  * Move header files shared by driver and firmware to shared directory. (#1167 <https://github.com/fetchrobotics/fetch_drivers/issues/1167>)
    
      * Moving header files shared by driver and firmware to shared directory.
      * Put shared structs/enums in fetch_drivers::shared namespace.
      * Change include of stdint.h cstdint.
      * Put BoardFlags, PanelFlags, and TorsoSensorParams in a struct.
      * Update gitignore to ignore bootloader and firmware.
    
  * Merge pull request #1187 <https://github.com/fetchrobotics/fetch_drivers/issues/1187> from chadrockey/1604_fixes
  * Contributors: Alexander Moriarty, Andrew Parker, Carl Saldanha, Chad Rockey, Derek King, Eric Relson, Jeff Wilson, Justin Watson, Luc Bettaieb, Niharika Arora, Sarah Elliott

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Wed, 21 Aug 2019 07:00:00 -0000

ros-melodic-fetch-drivers (0.8.7-1bionic) bionic; urgency=high



 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Tue, 06 Aug 2019 07:00:00 -0000

ros-melodic-fetch-drivers (0.8.6-1bionic) bionic; urgency=high

  * Merge pull request #36 <https://github.com/fetchrobotics/fetch_robots/issues/36> from fetchrobotics/install-laser-filters
    [fetch_drivers] Catkin Install missed laser filters
  * Contributors: Alexander Moriarty, Carl Saldanha

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Thu, 28 Feb 2019 08:00:00 -0000

ros-melodic-fetch-drivers (0.8.5-1bionic) bionic; urgency=high

  * [FIX] missing laser filter plugins (#34 <https://github.com/fetchrobotics/fetch_robots/issues/34>)
    The drivers work without them, but the robot drives reallly slow.
  * Contributors: Alex Moriarty

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Tue, 26 Feb 2019 08:00:00 -0000

ros-melodic-fetch-drivers (0.8.4-1bionic) bionic; urgency=high



 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Thu, 21 Feb 2019 08:00:00 -0000

ros-melodic-fetch-drivers (0.8.3-1bionic) bionic; urgency=high

  * Add depend urdfdom, and switch to <depend> (#32 <https://github.com/fetchrobotics/fetch_robots/issues/32>)
  * Contributors: Alexander Moriarty

 -- Alexander Moriarty <amoriarty@fetchrobotics.com>  Fri, 15 Feb 2019 08:00:00 -0000

ros-melodic-fetch-drivers (0.8.2-1bionic) bionic; urgency=high

  * [fetch_driver] Makefile and mk depend on rospack
    mk uses rospack internally but we don't get the rospack dependency.
    https://github.com/ros/ros/issues/204
    We also call rospack in Makefile.tarball so we should directly depend on
    it instead of assuming it is depended on by ros/core/mk.
  * Contributors: Alexander Moriarty



=== debian/control ===
Source: ros-melodic-fetch-drivers
Section: misc
Priority: optional
Maintainer: Carl Saldanha <csaldanha@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), curl, libboost-all-dev, libcurl4-openssl-dev, liburdfdom-dev, libyaml-cpp-dev, python-dev, ros-melodic-actionlib, ros-melodic-actionlib-msgs, ros-melodic-catkin, ros-melodic-diagnostic-msgs, ros-melodic-fetch-auto-dock-msgs, ros-melodic-fetch-driver-msgs, ros-melodic-mk, ros-melodic-nav-msgs, ros-melodic-power-msgs, ros-melodic-robot-calibration-msgs, ros-melodic-robot-controllers, ros-melodic-robot-controllers-interface, ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-roscpp-serialization, ros-melodic-rospack, ros-melodic-rostime, ros-melodic-sensor-msgs, ros-melodic-urdf
Homepage: https://wiki.ros.org/fetch_drivers
Standards-Version: 3.9.2

Package: ros-melodic-fetch-drivers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, curl, libboost-all-dev, libcurl4-openssl-dev, liburdfdom-dev, libyaml-cpp-dev, python-dev, ros-melodic-actionlib, ros-melodic-actionlib-msgs, ros-melodic-diagnostic-msgs, ros-melodic-fetch-auto-dock-msgs, ros-melodic-fetch-driver-msgs, ros-melodic-nav-msgs, ros-melodic-power-msgs, ros-melodic-robot-calibration-msgs, ros-melodic-robot-controllers, ros-melodic-robot-controllers-interface, ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-roscpp-serialization, ros-melodic-rostime, ros-melodic-sensor-msgs, ros-melodic-urdf
Description: The public fetch_drivers package is a binary only release.
 fetch_drivers contains both the drivers and firmware for the fetch and freight research robots. There should be no reason to use these drivers unless you're running on a fetch or a freight research robot. This package, is a cmake/make only package which installs the binaries for the drivers and firmware.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-fetch-drivers//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
